--- old/usr/src/uts/common/os/proc.c	2016-06-15 19:34:56.540014956 -0400
+++ new/usr/src/uts/common/os/proc.c	2016-06-15 19:34:56.567717693 -0400
@@ -159,3 +159,15 @@
 	}
 	kpreempt_enable();
 }
+
+boolean_t
+secflag_enabled(proc_t *p, secflag_t flag)
+{
+	return (secflag_isset(p->p_secflags.psf_effective, flag));
+}
+
+void
+secflags_promote(proc_t *p)
+{
+	secflags_copy(&p->p_secflags.psf_effective, &p->p_secflags.psf_inherit);
+}
